
# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl
#

%define name    chickensforlinux
%define version 0.2.4
%define release 1.2007mcnl
%define summary the chickens are preparing to detonate our planet
%define section More Applications/Games/Arcade

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://moistrous.com/chickens/
License:        GPL
Group:          Games

Source0:        Chickens-Linux-%version.tar.gz
Source1:	%{name}-icons.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:	allegro-devel

%description
Enthralling Storyline: In the final days of Armageddon, the chickens are preparing to detonate our planet. They are trying to run across your screen, and if even a single chicken succeeds, it's all over. You must stop them! The entire world is counting on you!

Objective: Don't let the chickens cross your screen and don't let the counter reach 0. It starts at 2 minutes and counts down each second. It also goes down each time you fire a rocket or shoot the shotgun, so try to kill as many chickens as you can each time. Every so often, a colored gem launches out of an exploding chicken... move the mouse over it to collect bonuses. Blue Gems give you +10 seconds, Green Gems increase your rockets explosion radius by 5, and Red Gems give you +5000 points. All gems automatically give you +2 timer seconds as well. Chickens killed with rockets earn you 100 points, while those torn apart by the shotgun give you 250.

The original Chickens game (Chickens 2, actually) was written for DOS / Windows platforms. I originally planned to clone the game for linux, but I ended up doing more than that. Chickens for Linux has somewhat better graphics, sound, and other features not found in the original. My game is more than a clone. It's a tribute to the grand original.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n chickens
%setup -q -T -D -a1 -n chickens

%build
%configure 

%make 

%install

mkdir -p  $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%name
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%name
cp chickens $RPM_BUILD_ROOT%{_datadir}/%name
cp -rv dat $RPM_BUILD_ROOT%{_datadir}/%name
cp -rv sound $RPM_BUILD_ROOT%{_datadir}/%name
cp options.cfg $RPM_BUILD_ROOT%{_datadir}/%name
cp HighScores $RPM_BUILD_ROOT%{_datadir}/%name
cp README $RPM_BUILD_ROOT%{_defaultdocdir}/%name
cp AUTHOR $RPM_BUILD_ROOT%{_defaultdocdir}/%name

%__install -D -m 644 %{name}-48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}-32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}-16.png %buildroot/%_miconsdir/%name.png


install -d %buildroot/%_bindir
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/chickens
#!/bin/sh -f 
cd %{_datadir}/%{name} 
exec %{_datadir}/%{name}/chickens

EOF

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="sh %_bindir/chickens" \
needs="X11" \
icon="%name.png" \
section="More Applications/Games/Arcade" \
title="%name" \
longtitle="%summary"
EOF

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Chickens for Linux
Comment=%{summary}
Exec=%{_bindir}/chickens
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%_menudir/*
%attr(755,root,root) %{_bindir}/chickens
%attr(666,root,root)   /usr/share/chickensforlinux/HighScores
%attr(666,root,root)   /usr/share/chickensforlinux/options.cfg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/chickens
%{_datadir}/%{name}/dat/*
%{_datadir}/%{name}/sound/*
%{_defaultdocdir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog 
* Sat Nov 05 2006 Marco Meijer <marco@mandrivaclub.nl> 0.2.4-1.2007mcnl
- Mandriva 2007 rebuild

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.3.0-1.2006mcnl
- Mandriva 2006 rebuild

* Tue Jun 07 2005 Marco Meijer <marco@mandrivaclub.nl> 0.3.0-1.102mcnl
- Mandriva LE2005 build

*Mon Apr 04 2005 Marco Meijer <marco@mandrivaclub.nl> 0.3.0-1mcnl
new version

*Mon Jul 19 2004 Marco Meijer <marco@mandrivaclub.nl> 0.2.4-1mcnl
new version

*Mon Jul 13 2004 Marco Meijer <marco@mandrivaclub.nl> 0.2.3-2mcnl
first clubbuild www.mandrivaclub.nl

